<template>
  <div id="app">
    <h2>App component</h2>
    <ParentComponent />
    <ModuleComponent />
    <AxiosComponent />
    <ListMemes />

  </div>
</template>

<script>
import ParentComponent from './components/ParentComponent.vue'
import ModuleComponent from './components/ModuleComponent.vue'
import AxiosComponent from './components/AxiosComponent.vue'
import ListMemes from './components/ListMemes.vue'

export default {
  name: 'App',
  components: {
    ParentComponent,
    ModuleComponent,
    AxiosComponent,
    ListMemes
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  background-color: lightskyblue;
  padding: 15px;
  display:flex;
  flex-flow: column wrap;
  gap: 15px
}
#parent-component {
  background-color: lightgrey;
  padding: 10px;
  display: flex;
  flex-flow: column wrap;
  gap:10px
}
#child-component {
  background-color: lightsalmon;
  padding: 15px;
}
#list-courses {
  background-color: white;
  padding: 15px;
}
.ul {
  text-align: left;
}
#basic-component {
  background-color: silver;
  padding: 15px;
}
#module-component {
  background-color: lightcyan;
  padding: 15px;
}
#axios-component {
  background-color: aquamarine;
  padding: 15px;
}
#list-memes-component {
  background-color: cyan;
  padding: 15px;
}
</style>
